# Create a product set

Creates a product set. Works with Meta Ads.

```http
POST https://api.pozy.ai/v1/ads/catalogs/{catalogId}/product-sets
```

- Area: Ads / Product Catalogs
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `catalogId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `catalogAccountId`, string
- `name`, string, required: Up to 100 characters
- `filter`, object, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/product-sets" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "name": "Acme",
  "filter": {}
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/product-sets", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    name: "Acme",
    filter: {}
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/catalogs/6f2f2ffcf4ace3659342c4c2/product-sets",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "name": "Acme",
        "filter": {},
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `productSet`, object
  - `id`, string
  - `name`, string
  - `productCount`, integer
  - `filter`, object: Can be null

```json
{
  "productSet": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "productCount": 42,
    "filter": {}
  }
}
```
